# Gimp.Layer.prototype.copy

    function copy(): Gimp.Layer {
        // Gjs wrapper for gimp_layer_copy()
    }

Copy a layer.

This procedure copies the specified layer and returns the copy. The newly copied layer is for use within the original layer's image. It should not be subsequently added to any other image.

Since 3.0

Returns

  The newly copied layer. The object belongs to libgimp and you should not free it.